## This file contains the code to analize the colony performance of honey bees infected
## with Nosema ceranae and bumble bee colonies infected with Crithidia bombi

rm(list=ls())
# set up working directory. Edit as needed
setwd("~/Dropbox/EEID/Within Colony/Dryad/CSV")


## HONEY BEE COLONY PERFORMANCE
ter_hb <- read.csv("Performance_HoneyBees.csv")
ter_hb$colony = as.factor(ter_hb$colony)

# anova of the change in the number of workers in honey bee colonies 
a <- aov(delta ~ treatment, data = ter_hb)
summary(a)



## BUMBLE BEE COLONY PERFORMANCE
# Question: is there an effect of treatment on colony performance variables?

ter_bb <- read.csv("Performance_BumbleBees.csv")
ter_bb$colony = as.factor(ter_bb$colony)


# effect of treatment on delta in colony weight 
t.test(delta_w ~ treatment, data = ter_bb)

# effect of treatment on the production of new queens
t.test((n_queens-1) ~ treatment, data = ter_bb) # "-1" because the data is the total number of queens, including the original queen, and I'm interested only in the new queens produced

# effect of treatment on the production of dornes and drones weight
t.test(n_drones ~ treatment, data = ter_bb)
t.test(drone_weight ~ treatment, data = ter_bb)

# effect of treatment on the final number of workers, workers weight, and total numer of workers produced
t.test(n_workers ~ treatment, data = ter_bb)
t.test(workers_weight ~ treatment, data = ter_bb)
t.test(total_workers_produced ~ treatment, data = ter_bb)

# effect of treatment on the final number of worker-pupae and pupa weight
t.test(n_pupae_workers ~ treatment, data = ter_bb)
t.test(pupae_workers_weight ~ treatment, data = ter_bb)

# effect of treatment on the final number of larvae and larva weight
t.test(n_larvae ~ treatment, data = ter_bb)
t.test(larvae_weight ~ treatment, data = ter_bb)

# effect of treatment on the final number of eggs and egg weight
t.test(n_eggs ~ treatment, data = ter_bb)
t.test(egg_weight ~ treatment, data = ter_bb)


